View Issue Details

IDProjectCategoryView StatusLast Update
14900Bug reports[All Projects] Data Entry (non public)public2019-06-06 17:36
Reporterthuenen_agraroekonomieAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14900: numerical array with checkboxes loose all data
Description

If you have an numerical array with the option to display checkboxes, you loose all data if you proceed. Subsequent filters doesn't work.

Steps To Reproduce

Fill out an Question of such a Type; click on next; click on back, all entrys are deleted.
Try to use such a question as Filter for an other question. It doesn't work.

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.17.3 190429
I will donate to the project if issue is resolvedNo
BrowserFirefox 66.05 (x64)
Database & DB-VersionMySQL mysqlnd 5.0.12-dev - 20150407
Server OS (if known)Linux ubuntu 18.04 LTS
Webserver software & version (if known) Apache
PHP Version 7.2.18

Relationships

parent of 14966 resolvedDenisChenu Array checkbox : all EM usage in same page is broken 
parent of 14962 resolvedDenisChenu Checkbox radio Y scale don't shown in little screen 

Activities

dominikvitt

dominikvitt

2019-05-15 16:58

developer   ~51951

This issue is fixed.
It is available on GitHub now and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/3955ef7e94d2b78b5d2b3fe5ce41ee97f4b2f050

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52178

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28895

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52211

Version 3.17.4+190529 released

DenisChenu

DenisChenu

2019-06-06 17:00

developer   ~52321

Produce

  1. https://bugs.limesurvey.org/view.php?id=14966
  2. https://bugs.limesurvey.org/view.php?id=14962
DenisChenu

DenisChenu

2019-06-06 17:11

developer   ~52322

But more : deactivate ajax mode in 2.17.3 : and it work.

It's an AJAX mode issue …

c_schmitz

c_schmitz

2019-06-06 17:29

administrator   ~52327

So, is it fixed or not?

DenisChenu

DenisChenu

2019-06-06 17:36

developer   ~52328

Fixed and checked for 3.17.6 : https://github.com/LimeSurvey/LimeSurvey/commit/5e262a6901848a03430d814bba8e9d55f3a239f9

Related Changesets

LimeSurvey: master 3955ef7e

2019-05-15 16:52:51

Dominik Vitt

Details Diff
Fixed issue 14900: numerical array with checkboxes lose all data Affected Issues
14900
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td_checkboxes.twig Diff File

Issue History

Date Modified Username Field Change
2019-05-15 13:09 thuenen_agraroekonomie New Issue
2019-05-15 13:49 dominikvitt Assigned To => dominikvitt
2019-05-15 13:49 dominikvitt Status new => confirmed
2019-05-15 16:58 dominikvitt Status confirmed => resolved
2019-05-15 16:58 dominikvitt Resolution open => fixed
2019-05-15 16:58 dominikvitt Fixed in Version => 3.17.x
2019-05-15 16:58 dominikvitt Note Added: 51951
2019-05-29 16:12 Changeset attached => LimeSurvey master 3955ef7e
2019-05-29 16:12 c_schmitz Note Added: 52178
2019-05-29 16:39 c_schmitz Note Added: 52211
2019-05-29 16:39 c_schmitz Status resolved => closed
2019-06-06 17:00 DenisChenu Note Added: 52321
2019-06-06 17:00 DenisChenu Relationship added parent of 14966
2019-06-06 17:00 DenisChenu Relationship added parent of 14962
2019-06-06 17:11 DenisChenu Note Added: 52322
2019-06-06 17:29 c_schmitz Note Added: 52327
2019-06-06 17:36 DenisChenu Note Added: 52328